# Class SchemeDoc

java.lang.Object
uk.ac.starlink.ttools.build.SchemeDoc

public class SchemeDoc extends Object
Writes a section of XML text documenting the details of TableSchemes available within the STILTS application.

Since:
  4 Sep 2020
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SchemeDoc(boolean requiresDoc)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getXmlDoc(uk.ac.starlink.table.TableScheme scheme)`
Returns a string containing an XML subsubsect element decribing a given TableScheme.
`static void`
`main(String[] args)`
Writes a sequence of XML subsubsect elements to standard output, documenting the TableSchemes available by default from STILTS.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchemeDoc

public SchemeDoc(boolean requiresDoc)
Constructor.

Parameters:
  `requiresDoc` - if true, an error is generated for TableSchemes that do not implement the interface uk.ac.starlink.table.Documented

## Method Details

### getXmlDoc

public String getXmlDoc(uk.ac.starlink.table.TableScheme scheme) throws IOException
Returns a string containing an XML subsubsect element decribing a given TableScheme.

Parameters:
  `scheme` - table scheme, preferably implementing Documented
Returns:
  XML text
Throws:
  `IOException`

### main

public static void main(String[] args) throws IOException
Writes a sequence of XML subsubsect elements to standard output, documenting the TableSchemes available by default from STILTS.

Throws:
  `IOException`